#ifndef ZTOKENIZER_H
#define ZTOKENIZER_H 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*******************************************************************************
 * ztokenizer 
 *
 * ztokenizer takes a pointer to a file and some tokenizing parameters. Using
 * the parameters to make decisions on what to call a word, it runs to the end
 * of the file, passing each word found to gotWord.
 *
 * Returns 0 at eof.
 **************************************************************************** */

int getWords (
  FILE* file_ptr,
  int opt_split,
  int opt_digits,
  int opt_all
) ;

#endif
